# Class ZStream

java.lang.Object
com.codename1.io.gzip.ZStream

Direct Known Subclasses:
  `Deflater, Inflater`

@Deprecated public class ZStream extends Object
Deprecated.

ZStream

##### Deprecated

Not for public use in the future.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `availIn`
  Deprecated.
  `int`
  `availOut`
  Deprecated.
  `String`
  `msg`
  Deprecated.
  `byte[]`
  `nextIn`
  Deprecated.
  `int`
  `nextInIndex`
  Deprecated.
  `byte[]`
  `nextOut`
  Deprecated.
  `int`
  `nextOutIndex`
  Deprecated.
  `long`
  `totalIn`
  Deprecated.
  `long`
  `totalOut`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZStream()`
  Deprecated.
  `ZStream(com.codename1.io.gzip.Checksum adler)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deflate(int flush)`
  Deprecated.
  `int`
  `deflateEnd()`
  Deprecated.
  `int`
  `deflateInit(int level)`
  Deprecated.
  `int`
  `deflateInit(int level, boolean nowrap)`
  Deprecated.
  `int`
  `deflateInit(int level, int bits)`
  Deprecated.
  `int`
  `deflateInit(int level, int bits, boolean nowrap)`
  Deprecated.
  `int`
  `deflateInit(int level, int bits, int memlevel)`
  Deprecated.
  `int`
  `deflateInit(int level, int bits, int memlevel, com.codename1.io.gzip.JZlib.WrapperType wrapperType)`
  Deprecated.
  `int`
  `deflateParams(int level, int strategy)`
  Deprecated.
  `int`
  `deflateSetDictionary(byte[] dictionary, int dictLength)`
  Deprecated.
  `int`
  `end()`
  Deprecated.
  Those methods are expected to be override by Inflater and Deflater.
  `boolean`
  `finished()`
  Deprecated.
  `void`
  `free()`
  Deprecated.
  `long`
  `getAdler()`
  Deprecated.
  `int`
  `getAvailIn()`
  Deprecated.
  `int`
  `getAvailOut()`
  Deprecated.
  `String`
  `getMessage()`
  Deprecated.
  `byte[]`
  `getNextIn()`
  Deprecated.
  `int`
  `getNextInIndex()`
  Deprecated.
  `byte[]`
  `getNextOut()`
  Deprecated.
  `int`
  `getNextOutIndex()`
  Deprecated.
  `long`
  `getTotalIn()`
  Deprecated.
  `long`
  `getTotalOut()`
  Deprecated.
  `int`
  `inflate(int f)`
  Deprecated.
  `int`
  `inflateEnd()`
  Deprecated.
  `boolean`
  `inflateFinished()`
  Deprecated.
  `int`
  `inflateInit()`
  Deprecated.
  `int`
  `inflateInit(boolean nowrap)`
  Deprecated.
  `int`
  `inflateInit(int w)`
  Deprecated.
  `int`
  `inflateInit(int w, boolean nowrap)`
  Deprecated.
  `int`
  `inflateInit(int w, com.codename1.io.gzip.JZlib.WrapperType wrapperType)`
  Deprecated.
  `int`
  `inflateInit(com.codename1.io.gzip.JZlib.WrapperType wrapperType)`
  Deprecated.
  `int`
  `inflateSetDictionary(byte[] dictionary, int dictLength)`
  Deprecated.
  `int`
  `inflateSync()`
  Deprecated.
  `int`
  `inflateSyncPoint()`
  Deprecated.
  `void`
  `setAvailIn(int availIn)`
  Deprecated.
  `void`
  `setAvailOut(int availOut)`
  Deprecated.
  `void`
  `setInput(byte[] buf)`
  Deprecated.
  `void`
  `setInput(byte[] buf, boolean append)`
  Deprecated.
  `void`
  `setInput(byte[] buf, int off, int len, boolean append)`
  Deprecated.
  `void`
  `setNextIn(byte[] nextIn)`
  Deprecated.
  `void`
  `setNextInIndex(int nextInIndex)`
  Deprecated.
  `void`
  `setNextOut(byte[] nextOut)`
  Deprecated.
  `void`
  `setNextOutIndex(int nextOutIndex)`
  Deprecated.
  `void`
  `setOutput(byte[] buf)`
  Deprecated.
  `void`
  `setOutput(byte[] buf, int off, int len)`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### nextIn

    public byte[] nextIn
    Deprecated.

  - ### nextInIndex

    public int nextInIndex
    Deprecated.

  - ### availIn

    public int availIn
    Deprecated.

  - ### totalIn

    public long totalIn
    Deprecated.

  - ### nextOut

    public byte[] nextOut
    Deprecated.

  - ### nextOutIndex

    public int nextOutIndex
    Deprecated.

  - ### availOut

    public int availOut
    Deprecated.

  - ### totalOut

    public long totalOut
    Deprecated.

  - ### msg

    public String msg
    Deprecated.

- ## Constructor Details

  - ### ZStream

    public ZStream()
    Deprecated.

  - ### ZStream

    public ZStream(com.codename1.io.gzip.Checksum adler)
    Deprecated.

- ## Method Details

  - ### inflateInit

    public int inflateInit()
    Deprecated.

  - ### inflateInit

    public int inflateInit(boolean nowrap)
    Deprecated.

  - ### inflateInit

    public int inflateInit(int w)
    Deprecated.

  - ### inflateInit

    public int inflateInit(com.codename1.io.gzip.JZlib.WrapperType wrapperType)
    Deprecated.

  - ### inflateInit

    public int inflateInit(int w, com.codename1.io.gzip.JZlib.WrapperType wrapperType)
    Deprecated.

  - ### inflateInit

    public int inflateInit(int w, boolean nowrap)
    Deprecated.

  - ### inflate

    public int inflate(int f)
    Deprecated.

  - ### inflateEnd

    public int inflateEnd()
    Deprecated.

  - ### inflateSync

    public int inflateSync()
    Deprecated.

  - ### inflateSyncPoint

    public int inflateSyncPoint()
    Deprecated.

  - ### inflateSetDictionary

    public int inflateSetDictionary(byte[] dictionary, int dictLength)
    Deprecated.

  - ### inflateFinished

    public boolean inflateFinished()
    Deprecated.

  - ### deflateInit

    public int deflateInit(int level)
    Deprecated.

  - ### deflateInit

    public int deflateInit(int level, boolean nowrap)
    Deprecated.

  - ### deflateInit

    public int deflateInit(int level, int bits)
    Deprecated.

  - ### deflateInit

    public int deflateInit(int level, int bits, int memlevel, com.codename1.io.gzip.JZlib.WrapperType wrapperType)
    Deprecated.

  - ### deflateInit

    public int deflateInit(int level, int bits, int memlevel)
    Deprecated.

  - ### deflateInit

    public int deflateInit(int level, int bits, boolean nowrap)
    Deprecated.

  - ### deflate

    public int deflate(int flush)
    Deprecated.

  - ### deflateEnd

    public int deflateEnd()
    Deprecated.

  - ### deflateParams

    public int deflateParams(int level, int strategy)
    Deprecated.

  - ### deflateSetDictionary

    public int deflateSetDictionary(byte[] dictionary, int dictLength)
    Deprecated.

  - ### getAdler

    public long getAdler()
    Deprecated.

  - ### free

    public void free()
    Deprecated.

  - ### setOutput

    public void setOutput(byte[] buf)
    Deprecated.

  - ### setOutput

    public void setOutput(byte[] buf, int off, int len)
    Deprecated.

  - ### setInput

    public void setInput(byte[] buf)
    Deprecated.

  - ### setInput

    public void setInput(byte[] buf, boolean append)
    Deprecated.

  - ### setInput

    public void setInput(byte[] buf, int off, int len, boolean append)
    Deprecated.

  - ### getNextIn

    public byte[] getNextIn()
    Deprecated.

  - ### setNextIn

    public void setNextIn(byte[] nextIn)
    Deprecated.

  - ### getNextInIndex

    public int getNextInIndex()
    Deprecated.

  - ### setNextInIndex

    public void setNextInIndex(int nextInIndex)
    Deprecated.

  - ### getAvailIn

    public int getAvailIn()
    Deprecated.

  - ### setAvailIn

    public void setAvailIn(int availIn)
    Deprecated.

  - ### getNextOut

    public byte[] getNextOut()
    Deprecated.

  - ### setNextOut

    public void setNextOut(byte[] nextOut)
    Deprecated.

  - ### getNextOutIndex

    public int getNextOutIndex()
    Deprecated.

  - ### setNextOutIndex

    public void setNextOutIndex(int nextOutIndex)
    Deprecated.

  - ### getAvailOut

    public int getAvailOut()
    Deprecated.

  - ### setAvailOut

    public void setAvailOut(int availOut)
    Deprecated.

  - ### getTotalOut

    public long getTotalOut()
    Deprecated.

  - ### getTotalIn

    public long getTotalIn()
    Deprecated.

  - ### getMessage

    public String getMessage()
    Deprecated.

  - ### end

    public int end()
    Deprecated.
    Those methods are expected to be override by Inflater and Deflater. In the future, they will become abstract methods.

  - ### finished

    public boolean finished()
    Deprecated.